changeset 758:75835debe6b5

Add --logs option to smoketest-all.sh to read existing logs from buildall.sh.
author Rob Landley <rob@landley.net>
date Tue, 23 Jun 2009 19:38:24 -0500
parents a179f03cb825
children 79baef2e88cc
files smoketest-all.sh
diffstat 1 files changed, 13 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/smoketest-all.sh	Tue Jun 23 19:30:09 2009 -0500
+++ b/smoketest-all.sh	Tue Jun 23 19:38:24 2009 -0500
@@ -1,5 +1,18 @@
 #!/bin/bash
 
+if [ "$1" == "--logs" ]
+then
+  for i in build/smoketest-*.txt
+  do
+    NAME="$(echo $i | sed 's/smoketest-\(.*\)\.txt/\1/')"
+    echo -n "Testing $NAME:"
+    RESULT="$(grep 'Hello world!' "$i")"
+    [ -z "$RESULT" ] && echo "FAIL" || echo "PASS"
+  done
+
+  exit
+fi
+
 # Test all targets to see whether or not they can compile and run "hello world"
 
 ls -pd build/system-image-* | sed -n 's@.*/system-image-\(.*\)/@\1@p' | while read i